Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 664402 (CVE-2010-4015) - CVE-2010-4015 PostgreSQL: Stack-based buffer overflow by processing certain tokens from SQL query string when intarray module enabled
Summary: CVE-2010-4015 PostgreSQL: Stack-based buffer overflow by processing certain t...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4015
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 672630 672631 672632 672633 672634 672635 672636 672637 674296 812236 812241
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-20 10:27 UTC by Jan Lieskovsky
Modified: 2021-02-24 16:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:58:57 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0197 0 normal SHIPPED_LIVE Moderate: postgresql security update 2011-02-03 20:23:10 UTC
Red Hat Product Errata RHSA-2011:0198 0 normal SHIPPED_LIVE Moderate: postgresql84 security update 2011-02-03 20:39:20 UTC

Description Jan Lieskovsky 2010-12-20 10:27:11 UTC
A stack-based buffer overflow flaw was found in the way
PostgreSQL Object-Relational database management system (DBMS)
processed certain tokens from the SQL query, when the intarray
module was enabled on the particular database. An authenticated
database user, when the intarray module was enabled on that
particular database, running a specially-crafted SQL query
could use this flaw to cause a temporary denial of service
(postgres daemon crash) or, potentially, execute arbitrary
code with the privileges of the database server.

Flaw exploitation requirement:
==============================
This flaw to be successfully exploited requires the intarray
PostgreSQL module to be enabled on a particular database or
in general (for all databases). The intarray module is not
enabled by default in the postgresql package installation,
as shipped with Red Hat Enterprise Linux or Fedora.

References:
-----------
[1] http://www.postgresql.org/docs/current/static/intarray.html
[2] http://www.postgresql.org/docs/current/static/contrib.html

Acknowledgements:

Red Hat would like to thank Geoff Keating of the Apple Product Security
team for reporting this issue.

Comment 3 Jan Lieskovsky 2010-12-20 10:48:51 UTC
This issue affects the versions of the postgresql package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

This issue affects the version of the postgresql84 package, as shipped
with Red Hat Enterprise Linux 5.

--

This issue affects the versions of the postgresql package, as shipped
with Fedora release of 13 and 14.

Comment 8 Jan Lieskovsky 2011-02-01 10:51:36 UTC
Public via:
[1] http://www.postgresql.org/support/security.html

Comment 9 Jan Lieskovsky 2011-02-01 10:54:02 UTC
Created postgresql tracking bugs for this issue

Affects: fedora-all [bug 674296]

Comment 10 errata-xmlrpc 2011-02-03 20:23:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0197 https://rhn.redhat.com/errata/RHSA-2011-0197.html

Comment 11 errata-xmlrpc 2011-02-03 20:39:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0198 https://rhn.redhat.com/errata/RHSA-2011-0198.html


Note You need to log in before you can comment on or make changes to this bug.